Bug 521948 - mozilla-plugin-config can result in unreadable files
Summary: mozilla-plugin-config can result in unreadable files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nspluginwrapper
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 19:50 UTC by Jeff Bastian
Modified: 2018-10-27 16:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 463736
Environment:
Last Closed: 2010-03-30 07:57:52 UTC


Attachments (Terms of Use)
patch from upstream (426 bytes, patch)
2009-09-08 19:50 UTC, Jeff Bastian
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0187 normal SHIPPED_LIVE nspluginwrapper bug fix update 2010-03-29 12:21:20 UTC

Description Jeff Bastian 2009-09-08 19:50:27 UTC
Created attachment 360124 [details]
patch from upstream

Description of problem:
When a user that has a umask of 0077 runs /usr/bin/mozilla-plugin-config, the files in /usr/{lib,lib64}/mozilla/plugins-wrapped/ get permissions based on the same umask. This can lead to those files being unreadable.

Version-Release number of selected component (if applicable):
nspluginwrapper-0.9.91.5-22.el5

How reproducible:
every time

Steps to Reproduce:
1. su -
2. umask 077
3. /usr/bin/mozilla-plugin-config -i -f
4. ls -l /usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  
Actual results:
nswrapper_32_64.libflashplayer.so has permissions 700

Expected results:
nswrapper_32_64.libflashplayer.so has permissions 755

Additional info:

Comment 2 Jeff Bastian 2009-09-08 19:53:19 UTC
This problem was solved in Fedora with bug 463736

Comment 5 errata-xmlrpc 2010-03-30 07:57:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0187.html


Note You need to log in before you can comment on or make changes to this bug.